package frc.robot.subsystems;

import com.revrobotics.CANSparkMax;
import com.revrobotics.CANSparkLowLevel.MotorType;

import edu.wpi.first.wpilibj2.command.Command;
import edu.wpi.first.wpilibj2.command.SubsystemBase;
import frc.robot.constants.IndexerConstants;

public class Indexer extends SubsystemBase {
    private CANSparkMax motor1;

    public Indexer() {
        motor1 = new CANSparkMax(IndexerConstants.kMotor1ID, MotorType.kBrushless);
    }

    public Command runIndexer(double speed) {
        return run(() -> {
            motor1.set(speed);
        });
    }

    public Command stopIndexer() {
        return run(() -> {
            motor1.set(0);
        });
    }
}
