package frc.robot.subsystems;

import edu.wpi.first.wpilibj.DigitalInput;
import edu.wpi.first.wpilibj2.command.SubsystemBase;
import frc.robot.constants.SensorsConstants;

public class Sensors extends SubsystemBase {
    private DigitalInput hoodBeamBreak;
    private DigitalInput indexerBeamBreak;

    public Sensors() {
        hoodBeamBreak = new DigitalInput(SensorsConstants.kHoodBeamBreakID);
        indexerBeamBreak = new DigitalInput(SensorsConstants.kIndexerBeamBreakID);
    }

    public boolean getHoodBeamBreak() {
        return hoodBeamBreak.get();
    }

    public boolean getIndexerBeamBreak() {
        return indexerBeamBreak.get();
    }
}
