package frc.robot.subsystems;

import com.revrobotics.CANSparkMax;
import com.revrobotics.CANSparkLowLevel.MotorType;

import edu.wpi.first.wpilibj2.command.Command;
import edu.wpi.first.wpilibj2.command.SubsystemBase;
import frc.robot.constants.IntakeRollersConstants;

public class IntakeRollers extends SubsystemBase {
    private CANSparkMax motor1;

    public IntakeRollers() {
        motor1 = new CANSparkMax(IntakeRollersConstants.kMotor1ID, MotorType.kBrushless);
    }

    public Command runIntake(double speed) {
        return run(() -> {
            motor1.set(speed);
        });
    }

    public Command stopIntake() {
        return run(() -> {
            motor1.set(0);
        });
    }   
}
